/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TeamPermissionSettingConfig extends cdktf.TerraformMetaArguments {
    /**
    * The identifier for the action. Valid values are `manage_membership`, `edit`.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.29.0/docs/resources/team_permission_setting#action TeamPermissionSetting#action}
    */
    readonly action: string;
    /**
    * ID of the team the team permission setting is associated with.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.29.0/docs/resources/team_permission_setting#team_id TeamPermissionSetting#team_id}
    */
    readonly teamId: string;
    /**
    * The action value. Valid values are `admins`, `members`, `organization`, `user_access_manage`, `teams_manage`.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.29.0/docs/resources/team_permission_setting#value TeamPermissionSetting#value}
    */
    readonly value: string;
}
/**
* Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.29.0/docs/resources/team_permission_setting datadog_team_permission_setting}
*/
export declare class TeamPermissionSetting extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_team_permission_setting";
    /**
    * Create a new {@link https://registry.terraform.io/providers/datadog/datadog/3.29.0/docs/resources/team_permission_setting datadog_team_permission_setting} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TeamPermissionSettingConfig
    */
    constructor(scope: Construct, id: string, config: TeamPermissionSettingConfig);
    private _action?;
    get action(): string;
    set action(value: string);
    get actionInput(): string | undefined;
    get id(): string;
    private _teamId?;
    get teamId(): string;
    set teamId(value: string);
    get teamIdInput(): string | undefined;
    private _value?;
    get value(): string;
    set value(value: string);
    get valueInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
